#
# spec file for package squirrelmail (Version 1.4.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# neededforbuild  apache gettext imap imap-devel ispell php4

BuildRequires:  aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libselinux libstdc++ libxcrypt m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel apache autoconf automake binutils gcc gdbm gettext imap imap-devel ispell libtool perl php4 rpm

Name:           squirrelmail
License:        GPL
Group:          Productivity/Networking/Email/Clients
URL:            http://www.squirrelmail.org
Requires:       mod_php php4-session php4-gettext
Autoreqprov:    on
Version:        1.4.2
Release:        55.14
Summary:        a web-mailer written in php4
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define sqm_path	/srv/www/htdocs/squirrelmail
%define b_sqm_path	$RPM_BUILD_ROOT/%{sqm_path}
%define sqm_doc		/%{_defaultdocdir}/squirrelmail
%define b_sqm_doc	$RPM_BUILD_ROOT/%{sqm_doc}
Source0:        %{name}-%{version}.tar.bz2
Source1:        config.php
Source2:        README.SuSE
Source3:        squirrelmail.conf
Source4:        squirrelmail.apache1
Patch:          %{name}-%{version}-secfix3.diff
Patch1:         %{name}-%{version}-xss.diff
Patch2:         CAN-2004-0521.diff
Patch3:         CAN-2005-0103.diff
Patch4:         CAN-2005-0104.diff
Patch5:         CAN-2005-1769.diff
Patch6:         CAN-2005-2095.diff
Patch7:         CAN-2004-0519.diff
Patch8:         %{name}-%{version}-secfix.diff
BuildArchitectures:            noarch

%description
Squirrelmail is a web-mail reader and writer written in php4. It
supports adressbook, ldap searches and many other plugins.



Authors:
--------
    Luke Ehresman <luke@squirrelmail.org>     http://www.css.tayloru.edu/~lehresma
    Nathan Ehresman <nathan@squirrelmail.org> http://www.css.tayloru.edu/~nehresma
    Gustav Foseid <gustavf@squirrelmail.org>  http://www.initio.no
    Pl Lberg <pallo@squirrelmail.org>       http://www.initio.no
    Shane Wilson
    Steve Gare                                http://www.xantara.co.uk
    Gerrit Padgham <gpadgham@commnav.com>
    Matt Phillips <mphillip@commnav.com>
    Lewis Bergman
    Bryan Stalcup <bryan@stalcup.net>
    Tyler Akins

%prep
%setup
%patch
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
%patch7
%patch8
cp %{S:1} config/
cp %{S:2} .

%build

%install
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}
install -d -m 0755 %{b_sqm_path}
cp -a * %{b_sqm_path}/
install -d -m 0750 $RPM_BUILD_ROOT/var/lib/squirrelmail/attach
mkdir -p $RPM_BUILD_ROOT/etc/apache2/conf.d
cp %{S:3} $RPM_BUILD_ROOT/etc/apache2/conf.d
mkdir -p $RPM_BUILD_ROOT/etc/httpd/modules
cp %{S:4} $RPM_BUILD_ROOT/etc/httpd/modules/squirrelmail
# cleanup
rm -rf $RPM_BUILD_ROOT%{sqm_path}/contrib

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && rm -rf  %{buildroot}

%files
%defattr(-, root, root)
%doc %attr(-  root  root) doc AUTHORS COPYING ChangeLog INSTALL ReleaseNotes UPGRADE README README.SuSE
%dir /etc/apache2
%dir /etc/apache2/conf.d
/etc/apache2/conf.d/*.conf
/etc/httpd/modules/squirrelmail
%dir %{sqm_path}
%dir %{sqm_path}/config
%config %{sqm_path}/config/config.php
%{sqm_path}/config/conf.pl
%{sqm_path}/config/config_default.php
%{sqm_path}/config/index.php
%{sqm_path}/config/config_local.php
%{sqm_path}/class
%{sqm_path}/configure
%{sqm_path}/[^c]*
%attr(-, wwwrun, root) %{sqm_path}/data
%dir %attr(-, wwwrun, root) /var/lib/squirrelmail
%dir %attr(-, wwwrun, root) /var/lib/squirrelmail/attach

%changelog -n squirrelmail
* Tue Feb 28 2006 - anicka@suse.cz
- regenerate patches to fix build
* Sat Feb 25 2006 - anicka@suse.cz
- fix security problems:
  * MagicHTML fix (CVE-2006-0195)
  * prohibit IMAP injection attempts (CVE-2006-0377)
  * fix XSS in webmail.php (CVE-2006-0188)
* Thu Aug 11 2005 - mjancar@suse.cz
- fix CAN-2004-0519 multiple XSS vulnerabilities (#96563)
* Tue Jul 12 2005 - mjancar@suse.cz
- fix CAN-2005-2095 unauthorized changing of variables (#94945)
* Fri Jun 24 2005 - mjancar@suse.cz
- fix CAN-2005-1769 XSS vulnerability (#90509)
* Thu May 12 2005 - mjancar@suse.cz
- security fixes (#74717)
  * fix SQL injection vulnerability in addressbook (CAN-2004-0521)
  * fix Frame content changing in webmail.php (CAN-2005-0103)
  * fix XSS vulnerability in webmail.php (CAN-2005-0104)
* Fri Jan 21 2005 - mjancar@suse.cz
- Fixed cross site scripting vulnerability (CAN-2004-1036, #49182).
- Fixed information disclosure in default installation (#49071).
* Thu Jun 03 2004 - postadal@suse.cz
- fixed "Content-Type" XSS vulnarability (RS-2004-1) [#41482]
* Mon Mar 29 2004 - tcrhak@suse.cz
- fixed bug #37271:
  * added php4-session and php4-gettext to requires
  * made noarch
* Fri Feb 13 2004 - postadal@suse.cz
- updated to version 1.4.2
- added norootforbuild flag to the spec file
* Tue Sep 16 2003 - poeml@suse.de
- requires only "mod_php", since the package can work with the PHP4
  module of both apache2 and apache1 [#30952]
* Mon Aug 11 2003 - postadal@suse.cz
- updated to version 1.4.1
  * TLS support for IMAP and SMTP
  * a lot of changes in config.pl
  * rewritten and fixed a lot of code
- fixed permissions [#25540, #28415]
* Wed Jun 18 2003 - ro@suse.de
- removed unpackaged files from buildroot
* Mon Mar 17 2003 - postadal@suse.cz
- fixed syntax error in restrict.php, options.php and another cross site scripting bug in download.php
* Mon Mar 17 2003 - postadal@suse.cz
- added missing quote to options.php
* Tue Mar 11 2003 - postadal@suse.cz
- fixed security bugs (session and cross site scripting (XSS) bugs)
* Fri Jan 10 2003 - ro@suse.de
- fix filelist
* Tue Jan 07 2003 - postadal@suse.cz
- security fix (sanitize the variables against XSS,
  fixed cross site scripting problem in read_body.php)
- update to version 1.2.10
  * core code and plugins converted to work with register_globals Off
  * introduce session naming to avoid session collision with other apps
  * raised requirements to PHP 4.0.4
  * support for charactersets 8859-4, 8859-13 and windows-1257
  * various E_ALL messages eliminated
  * a lot of fixes
* Tue Sep 10 2002 - postadal@suse.cz
- to work with new PHP you need to read the new README.SuSE [#19091]
* Mon Aug 12 2002 - postadal@suse.cz
- removed IMAP from Requires (not neaded on client site)
* Mon Aug 05 2002 - ro@suse.de
- adapted server-root to /srv/www
* Wed Jul 31 2002 - postadal@suse.cz
- update to version 1.2.7
  * improved support for macosx IMAP server
  * added possibility to use multiple compose windows without loss
  of attachements
  * speed optimizements in generating message-lists
  * a lot of fixes
* Fri Jan 25 2002 - postadal@suse.cz
- Update to squirmail 1.2.4
  * fixed security bug (in html message & in the spellchecker plugin)
* Thu Jan 17 2002 - postadal@suse.cz
- Cleaned up specfile
- New configuration for this version (config.php)
- Update to squirmail 1.2.2
  * speed improvements and fixed a lot of bugs
  * several plugins integrated into the Squirrelmail core
  * improved SMTP error handling, URL parser
  * added authenticated SMTP server support (configure in conf.pl), aliases
  * built-in support for gettext
  * updated Czech, Dutch, Russian, Thai, Swedish, French translations
  * added Indonesian, Portugal, Turkish translations
  * added language aliasing
  * support for multiple identities
  * support for Russian Apache removed (doc/README.russian_apache)
  * the paginator
  * replay citations, ability to mark messages as Read/Unread
  * new themes
  * improved support for newer versions of PHP
  * now able to show all messages of an inbox at the same time
  * fixed a problem saving prefs when using PHP 4.1
* Wed Nov 21 2001 - rbarn@suse.de
- fixed bug in specfile
* Wed Nov 21 2001 - rbarn@suse.de
- Added new package squirrelmail 1.0.6
